    #***
  #*********************************************************************
#*************************************************************************
#*** 
#*** GizmoDaemon Config Script
#*** 	CatchAll Debug config
#***
#*****************************************
  #*****************************************
    #***

"""

  Copyright (c) 2007, Gizmo Daemon Team
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at 

	http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and 
  limitations under the License. 
  
"""

############################
# Imports
##########################

from GizmoDaemon import *
from GizmoScriptEnableChecker import *
import sys

ENABLED = True
VERSION_NEEDED = 3.2
INTERESTED_APPLICATION = "xe"
INTERESTED_WINDOWS = "wah!cade"

############################
# CatchAllDebug Class definition
##########################

class CatchZerogame(GizmoScriptEnableChecker):
	"""
	CatchAll Event Mapping for Testing
	"""
	
	############################
	# Public Functions
	##########################
	
	def onEvent(self, Event, Gizmo = None):
		"""
		See GizmodDispatcher.onEvent documention for an explanation of this function
		"""

		if Event.Class == GizmoEventClass.WindowFocus:
			return True

		elif Event.Class == GizmoEventClass.LIRC:
			return True
	
		elif Event.Class == GizmoEventClass.SoundCard:
			return True
		
		elif Event.Class == GizmoEventClass.CPUUsage:
			return True
		
		elif Event.Class == GizmoEventClass.Powermate and Event.Type == GizmoEventType.EV_MSC:
			return True

		elif Event.Class == GizmoEventClass.SoundVisualization:
			return True

		else:
			if Event.Type == GizmoEventType.EV_KEY:
				#Gizmod.Keyboards[0].createEvent(GizmoEventType.EV_KEY, GizmoKey.KEY_X, [GizmoKey.KEY_LEFTCTRL])
				#print "ARMAEDD!!  onEvent: " + str(Event.Class) + " -- " + Gizmo.FileName + " | [" + str(Event.Type) + "] <" + str(Event.Code) + "> c: " + str(hex(Event.RawCode)) + " v: " + str(hex(Event.Value))
				if Event.Code == GizmoKey.BTN_A and Event.Value == 1 and Gizmod.isProcessRunning(INTERESTED_APPLICATION) >= 0:
					Gizmod.Keyboards[0].createEvent(GizmoEventType.EV_KEY, GizmoKey.KEY_X, [GizmoKey.KEY_LEFTCTRL])
					return True
				elif Gizmod.CurrentFocus.WindowName.lower().find(INTERESTED_WINDOWS) > -1:
					self.Count = 1024
					if Event.Code == 302 and Event.Value == 1: 
						Gizmod.Keyboards[0].createEvent(GizmoEventType.EV_KEY, GizmoKey.KEY_1)
						return True
					elif Event.Code == 300 and Event.Value == 1: 
						Gizmod.Keyboards[0].createEvent(GizmoEventType.EV_KEY, GizmoKey.KEY_2)
						return True
					elif Event.Code == GizmoKey.BTN_BASE5 and Event.Value == 1: 
						Gizmod.Keyboards[0].createEvent(GizmoEventType.EV_KEY, GizmoKey.KEY_6)
						return True
					elif Event.Code == GizmoKey.BTN_BASE6 and Event.Value == 1: 
						Gizmod.Keyboards[0].createEvent(GizmoEventType.EV_KEY, GizmoKey.KEY_4)
						return True
					elif Event.Code == GizmoKey.BTN_DEAD and Event.Value == 1:
						Gizmod.Keyboards[0].createEvent(GizmoEventType.EV_KEY, GizmoKey.KEY_7)
						return True
		  			elif Event.Code == GizmoKey.BTN_TOP2 and Event.Value == 1:
		  				Gizmod.Keyboards[0].createEventRaw(GizmoEventType.EV_KEY, GizmoKey.KEY_UP, 0x01)
		  				self.scrollMe = 1
		  				self.scrollKey = GizmoKey.KEY_UP
		  				self.scrollTimer.start()
						return True
		  			elif Event.Code == GizmoKey.BTN_TOP2 and Event.Value == 0:
		  				self.scrollTimer.cancel()
		  				self.scrollKey = None
		  				Gizmod.Keyboards[0].createEventRaw(GizmoEventType.EV_KEY, GizmoKey.KEY_UP, 0x00)
						return True
		  			elif Event.Code == GizmoKey.BTN_BASE and Event.Value == 1:
		  				Gizmod.Keyboards[0].createEventRaw(GizmoEventType.EV_KEY, GizmoKey.KEY_DOWN, 0x01)
		  				self.scrollMe = 1
		  				self.scrollKey = GizmoKey.KEY_DOWN
		  				self.scrollTimer.start()
						return True
		  			elif Event.Code == GizmoKey.BTN_BASE and Event.Value == 0:
		  				self.scrollTimer.cancel()
		  				self.scrollKey = None
		  				Gizmod.Keyboards[0].createEventRaw(GizmoEventType.EV_KEY, GizmoKey.KEY_DOWN, 0x00)
						return True
                                        #elif Event.Code == GizmoKey.BTN_A and Event.Value == 1:
                                        #        subprocess.Popen(["ps3-boot-game-os"])
					#	return True
		  			elif Event.Code == GizmoKey.BTN_PINKIE and Event.Value == 1:
		  				Gizmod.Keyboards[0].createEventRaw(GizmoEventType.EV_KEY, GizmoKey.KEY_RIGHT, 0x01)
		  				self.scrollMe = 1
		  				self.scrollKey = GizmoKey.KEY_RIGHT
		  				self.scrollTimer.start()
						return True
		  			elif Event.Code == GizmoKey.BTN_PINKIE and Event.Value == 0:
		  				self.scrollTimer.cancel()
		  				self.scrollKey = None
		  				Gizmod.Keyboards[0].createEventRaw(GizmoEventType.EV_KEY, GizmoKey.KEY_RIGHT, 0x00)
						return True
		  			elif Event.Code == GizmoKey.BTN_BASE2 and Event.Value == 1:
		  				Gizmod.Keyboards[0].createEventRaw(GizmoEventType.EV_KEY, GizmoKey.KEY_LEFT, 0x01)
		  				self.scrollMe = 1
		  				self.scrollKey = GizmoKey.KEY_LEFT
		  				self.scrollTimer.start()
						return True
		  			elif Event.Code == GizmoKey.BTN_BASE2 and Event.Value == 0:
		  				self.scrollTimer.cancel()
		  				self.scrollKey = None
		  				Gizmod.Keyboards[0].createEventRaw(GizmoEventType.EV_KEY, GizmoKey.KEY_LEFT, 0x00)
						return True
				elif self.Count <> 1024:
					if Event.Code == 302 and Event.Value == 1: 
						Gizmod.Keyboards[0].createEvent(GizmoEventType.EV_KEY, GizmoKey.KEY_1)
						return True
					elif Event.Code == 300 and Event.Value == 1: 
						Gizmod.Keyboards[0].createEvent(GizmoEventType.EV_KEY, GizmoKey.KEY_2)
						return True
					elif Event.Code == GizmoKey.BTN_BASE5 and Event.Value == 1: 
						Gizmod.Keyboards[0].createEvent(GizmoEventType.EV_KEY, GizmoKey.KEY_6)
						return True
					elif Event.Code == GizmoKey.BTN_BASE6 and Event.Value == 1: 
						Gizmod.Keyboards[0].createEvent(GizmoEventType.EV_KEY, GizmoKey.KEY_4)
						return True
		  			elif Event.Code == GizmoKey.BTN_TOP2 and Event.Value == 1:
		  				Gizmod.Keyboards[0].createEventRaw(GizmoEventType.EV_KEY, GizmoKey.KEY_UP, 0x01)
		  				self.scrollMe = 1
		  				self.scrollKey = GizmoKey.KEY_UP
		  				self.scrollTimer.start()
						return True
		  			elif Event.Code == GizmoKey.BTN_TOP2 and Event.Value == 0:
		  				self.scrollTimer.cancel()
		  				self.scrollKey = None
		  				Gizmod.Keyboards[0].createEventRaw(GizmoEventType.EV_KEY, GizmoKey.KEY_UP, 0x00)
						return True
		  			elif Event.Code == GizmoKey.BTN_BASE and Event.Value == 1:
		  				Gizmod.Keyboards[0].createEventRaw(GizmoEventType.EV_KEY, GizmoKey.KEY_DOWN, 0x01)
		  				self.scrollMe = 1
		  				self.scrollKey = GizmoKey.KEY_DOWN
		  				self.scrollTimer.start()
						return True
		  			elif Event.Code == GizmoKey.BTN_BASE and Event.Value == 0:
		  				self.scrollTimer.cancel()
		  				self.scrollKey = None
		  				Gizmod.Keyboards[0].createEventRaw(GizmoEventType.EV_KEY, GizmoKey.KEY_DOWN, 0x00)
						return True
		  			elif Event.Code == GizmoKey.BTN_PINKIE and Event.Value == 1:
		  				Gizmod.Keyboards[0].createEventRaw(GizmoEventType.EV_KEY, GizmoKey.KEY_RIGHT, 0x01)
		  				self.scrollMe = 1
		  				self.scrollKey = GizmoKey.KEY_RIGHT
		  				self.scrollTimer.start()
						return True
		  			elif Event.Code == GizmoKey.BTN_PINKIE and Event.Value == 0:
		  				self.scrollTimer.cancel()
		  				self.scrollKey = None
		  				Gizmod.Keyboards[0].createEventRaw(GizmoEventType.EV_KEY, GizmoKey.KEY_RIGHT, 0x00)
						return True
		  			elif Event.Code == GizmoKey.BTN_BASE2 and Event.Value == 1:
		  				Gizmod.Keyboards[0].createEventRaw(GizmoEventType.EV_KEY, GizmoKey.KEY_LEFT, 0x01)
		  				self.scrollMe = 1
		  				self.scrollKey = GizmoKey.KEY_LEFT
		  				self.scrollTimer.start()
						return True
		  			elif Event.Code == GizmoKey.BTN_BASE2 and Event.Value == 0:
		  				self.scrollTimer.cancel()
		  				self.scrollKey = None
		  				Gizmod.Keyboards[0].createEventRaw(GizmoEventType.EV_KEY, GizmoKey.KEY_LEFT, 0x00)
						return True
		# return False
					
				
		# return False always so that events continue to get processed by other scripts
		return True
		
			
	############################
	# Private Functions
	##########################
	
	def __doScroll(self):
		if self.scrollMe == 1:
			#Gizmod.Keyboards[0].createEventRaw(GizmoEventType.EV_KEY, GizmoKey.KEY_UP, 0x01)
			self.scrollMe = self.scrollMe + 1
		elif self.scrollMe == 2:
			Gizmod.Keyboards[0].createEventRaw(GizmoEventType.EV_KEY, self.scrollKey, 0x02)
		else:
			return
		#print "ARMAGEDDON!!"
		#DeviceID = GizmoDaemon.isPluginLoadedString("GizmoPluginGeneric", DEVICE_KEYBOARD)
		#Gizmod.genericSendKeyEventString(DeviceID, "KEY_UP", 2)
		#Gizmod.Mice[0].createEventRaw(GizmoEventType.EV_REL, 0x00, 0x01)
		

	def __init__(self):
		""" 
		Default Constructor
		"""
		self.scrollTimer = GizmodTimer(0.50, self.__timerCallback, -1, None)
		#self.scrollTimer.cancel()
		#GizmoScriptDefault.__init__(self, ENABLED, VERSION_NEEDED, INTERESTED_CLASSES)
		GizmoScriptEnableChecker.__init__(self, ENABLED, VERSION_NEEDED)
		self.scrollMe = 0
		self.Count = 0
		self.scrollKey = None
		#self.scrollTimer = None
				
	def __timerCallback(self, UserData):
		""" Callback function for the timer """

		#if self.scrollSpeed == 0:
		#	return
			
		# scroll slowly (create a mouse wheel event)
		self.__doScroll()
		#self.setScrolling()

	#def __init__(self):
		""" 
		Default Constructor
		"""

		#GizmoScriptEnableChecker.__init__(self, ENABLED, VERSION_NEEDED)

############################
# CatchAllDebug class end
##########################

# register the user script
CatchZerogame()
