#!/bin/bash

# backupsaves.sh
# Part of the Zerogame Project emulation suite for PS3 Linux
# By Jason Carter (jay@zerojay.com)

# The purpose of this script is to take a snapshot of all the user's
# personal files (SRAM, save states, etc...) for the various emulators.


mkdir /home/zerogame/.zerogame/backups/
cd /home/zerogame/.zerogame/backups/

tar -cPpf mednafensaves.tar /home/zerogame/.mednafen/sav/
gzip ./mednafensaves.tar

tar -cPpf mamesaves.tar /home/zerogame/.mame/nvram/
gzip ./mamesaves.tar

tar -cPpf xesaves.tar /home/zerogame/.xe/saves/
gzip ./xesaves.tar

tar -cPpf snes9xsaves.tar /home/zerogame/.snes9x/sram/
gzip ./snes9xsaves.tar

echo -n
echo "Your saves have been backed up to /home/zerogame/.zerogame/backups/"
echo "Returning to Zerogame in 10 seconds."
sleep 10

