#!/bin/bash

# changexmameuse.sh
# Part of the Zerogame Project emulation suite for PS3 Linux
# By Jason Carter (jay@zerojay.com)

# Let's users turn on or off using XMAME game exceptions 

echo -e "\n"
echo "This script allows you to turn on or off the option "
echo "to use XMAME instead of SDLMAME in case you either " 
echo "wanted to disable the option if chosen to use during "
echo "Zerogame installation or if you wanted to try it out "
echo "on the games that support it."
echo -e "\n"
XMAMESTATUS=`grep 'USEXMAMEHACKS' /home/zerogame/.zerogame/zerogamerc`
if [ ! -f /home/zerogame/.zerogame/zerogamerc-bkup ]; then
  cp /home/zerogame/.zerogame/zerogamerc /home/zerogame/.zerogame/zerogamerc-bkup
fi
if [ "$XMAMESTATUS" = "" ]; then
  cp /home/zerogame/.zerogame/zerogamerc-bkup /home/zerogame/.zerogame/zerogamerc
fi
echo -n "Current status is: "
if [ "$XMAMESTATUS" = "USEXMAMEHACKS=0" ]; then
  echo "DISABLED"
fi
if [ "$XMAMESTATUS" = "USEXMAMEHACKS=1" ]; then
  echo "ENABLED"
fi
echo -e "\n"
while true; do
  read -n1 -p "Do you want to toggle XMAME overrides? [Y/N] " changexmame
    echo -e '\n'
    case $changexmame in
	[Yy]* )
	  if [ "$XMAMESTATUS" = "USEXMAMEHACKS=0" ]; then
	    sed 's/USEXMAMEHACKS=0/USEXMAMEHACKS=1/' /home/zerogame/.zerogame/zerogamerc > /home/zerogame/.zerogame/zerogamerc-xmnew
	    mv /home/zerogame/.zerogame/zerogamerc-xmnew /home/zerogame/.zerogame/zerogamerc
	  sleep 1
	  echo "Using XMAME game overrides is enabled."
	  fi
	  if [ "$XMAMESTATUS" = "USEXMAMEHACKS=1" ]; then
	    sed 's/USEXMAMEHACKS=1/USEXMAMEHACKS=0/' /home/zerogame/.zerogame/zerogamerc > /home/zerogame/.zerogame/zerogamerc-xmnew
	    mv /home/zerogame/.zerogame/zerogamerc-xmnew /home/zerogame/.zerogame/zerogamerc
	  sleep 1
	  echo "Using XMAME game overrides is disabled."
	  fi
	  echo -e "\n"
	  echo "Restart Zerogame for change to take effect."
	  read -p "Press Enter to exit."
          break;;
	[Nn]* )
	  sleep 1
	  echo -e "\n"
	  read -p "No change made. Press Enter to exit."
          break;;
	* ) echo -e "\nPlease answer Yes or No.";;
    esac
done
