#!/bin/bash

# installnewemulator.sh
# Part of the Zerogame Project emulation suite for PS3 Linux
# By Jason Carter (jay@zerojay.com)

# This script will pop up a menu allowing users to select which
# consoles they wish to support, removing those that aren't selected.

source /home/zerogame/.zerogame/zerogamerc

echo "======================================"
echo "-       Zerogame Maintenence         -"
echo "-     Install/Remove Emulators       -"
echo "======================================"
echo -e '\n'

while true; do
  echo "[1] Install support for new consoles"
  echo "[2] Remove support for a console"
  echo -e '\n'
  echo "[Q] Done, return to Zerogame"
  read -n1 menuinput
  clear
  case $menuinput in
     [1]* )
	    echo "[1] MAME/Arcade"
		echo "[2] Atari Lynx"
		echo "[3] Bandai Wonderswan"
		echo "[4] Bandai Wonderswan Color"
		#echo "[5] Commodore 64"
		echo "[5] NEC TurboGrafx-16"
		echo "[6] Neo*Geo Pocket"
		echo "[7] Neo*Geo Pocket Color"
		echo "[8] Nintendo Entertainment System"
		echo "[9] Nintendo Super NES"
		echo "[10] Nintendo Famicom Disk System"
		echo "[11] Nintendo Gameboy"
		echo "[12] Nintendo Gameboy Color"
		echo "[13] Nintendo Gameboy Advance"
		echo "[14] Sega Genesis"
		echo "[15] Sega Master System"
		echo "[16] Sega Game Gear"
		echo "[17] Sega CD"
		#echo "[18] TV"
		#echo "[19] Movies"
		#echo "[20] Intellivision"
		echo -e '\n'
		echo "[Q] Quit"
		read -n2 menu2input
		clear
		case $menu2input
		    [1] )
			   if [ ! $mameinstall ] || [ $mameinstall -eq "0"]; then
			      cd /home/zerogame/.zerogame/
			      cp -R ./configs/mame/ /home/zerogame/.mame/
                  chown -R zerogame:zerogame /home/zerogame/.mame/
                  cp ./configs/wahcade/ini/mame.ini /home/zerogame/.wahcade/ini/mame.ini
                  cp ./configs/wahcade/ini/mame-0.ini /home/zerogame/.wahcade/ini/mame-0.ini
                  cp ./backgrounds/zerogame-1080p/zerogame1080pmame.png /home/zerogame/.wahcade/layouts/zerogame-1080p/
                  cp ./backgrounds/zerogame-1080pb/zerogame1080pbmame.png /home/zerogame/.wahcade/layouts/zerogame-1080pb/
                  cp ./backgrounds/zerogame-720p/zerogame720pmame.png /home/zerogame/.wahcade/layouts/zerogame-720p/
                  cp ./backgrounds/zerogame-720pb/zerogame720pbmame.png /home/zerogame/.wahcade/layouts/zerogame-720pb/
                  cp ./backgrounds/retrogame-1080p/retrogame1080pmame.png /home/zerogame/.wahcade/layouts/retrogame-1080p/
                  cp ./backgrounds/retrogame-1080pb/retrogame1080pbmame.png /home/zerogame/.wahcade/layouts/retrogame-1080pb/
                  cp ./backgrounds/retrogame-720p/retrogame720pmame.png /home/zerogame/.wahcade/layouts/retrogame-720p/
                  cp ./backgrounds/retrogame-720pb/retrogame720pbmame.png /home/zerogame/.wahcade/layouts/retrogame-720pb/
                  cp ./layouts/zerogame-1080p/mame.lay /home/zerogame/.wahcade/layouts/zerogame-1080p/
                  cp ./layouts/zerogame-1080pb/mame.lay /home/zerogame/.wahcade/layouts/zerogame-1080pb/
                  cp ./layouts/zerogame-720p/mame.lay /home/zerogame/.wahcade/layouts/zerogame-720p/
                  cp ./layouts/zerogame-720pb/mame.lay /home/zerogame/.wahcade/layouts/zerogame-720pb/
                  cp ./layouts/retrogame-1080p/mame.lay /home/zerogame/.wahcade/layouts/retrogame-1080p/
                  cp ./layouts/retrogame-1080pb/mame.lay /home/zerogame/.wahcade/layouts/retrogame-1080p/
                  cp ./layouts/retrogame-720p/mame.lay /home/zerogame/.wahcade/layouts/retrogame-720p/
                  cp ./layouts/retrogame-720pb/mame.lay /home/zerogame/.wahcade/layouts/retrogame-720pb/
				  cd ~
				  mameinstall="1"
				  sed "/^mameinstall/d" /home/zerogame/.zerogame/zerogamerc > /home/zerogame/.zerogame/zerogamerc.tmp
                  echo "mameinstall=1" >> /home/zerogame/.zerogame/zerogamerc.tmp
                  mv /home/zerogame/.zerogame/zerogamerc.tmp /home/zerogame/.zerogame/zerogamerc
               else
			      echo "MAME/Arcade support is already installed on this PS3."
			   fi
			   break;
			[2] )
			   if [ ! $lynxinstall ] || [ $lynxinstall -eq "0" ]; then
			      cd /home/zerogame/.zerogame/
			      cp -R ./configs/mednafen/ /home/zerogame/.mednafen/
                  chown -R zerogame:zerogame /home/zerogame/.mednafen/
                  cp ./configs/wahcade/ini/lynx.ini /home/zerogame/.wahcade/ini/lynx.ini
                  cp ./configs/wahcade/ini/lynx-0.ini /home/zerogame/.wahcade/ini/lynx-0.ini
                  cp ./backgrounds/zerogame-1080p/zerogame1080plynx.png /home/zerogame/.wahcade/layouts/zerogame-1080p/
                  cp ./backgrounds/zerogame-1080pb/zerogame1080pblynx.png /home/zerogame/.wahcade/layouts/zerogame-1080pb/
                  cp ./backgrounds/zerogame-720p/zerogame720plynx.png /home/zerogame/.wahcade/layouts/zerogame-720p/
                  cp ./backgrounds/zerogame-720pb/zerogame720pblynx.png /home/zerogame/.wahcade/layouts/zerogame-720pb/
                  cp ./backgrounds/retrogame-1080p/retrogame1080plynx.png /home/zerogame/.wahcade/layouts/retrogame-1080p/
                  cp ./backgrounds/retrogame-1080pb/retrogame1080pblynx.png /home/zerogame/.wahcade/layouts/retrogame-1080pb/
                  cp ./backgrounds/retrogame-720p/retrogame720plynx.png /home/zerogame/.wahcade/layouts/retrogame-720p/
                  cp ./backgrounds/retrogame-720pb/retrogame720pblynx.png /home/zerogame/.wahcade/layouts/retrogame-720pb/
                  cp ./layouts/zerogame-1080p/lynx.lay /home/zerogame/.wahcade/layouts/zerogame-1080p/
                  cp ./layouts/zerogame-1080pb/lynx.lay /home/zerogame/.wahcade/layouts/zerogame-1080pb/
                  cp ./layouts/zerogame-720p/lynx.lay /home/zerogame/.wahcade/layouts/zerogame-720p/
                  cp ./layouts/zerogame-720pb/lynx.lay /home/zerogame/.wahcade/layouts/zerogame-720pb/
                  cp ./layouts/retrogame-1080p/lynx.lay /home/zerogame/.wahcade/layouts/retrogame-1080p/
                  cp ./layouts/retrogame-1080pb/lynx.lay /home/zerogame/.wahcade/layouts/retrogame-1080p/
                  cp ./layouts/retrogame-720p/lynx.lay /home/zerogame/.wahcade/layouts/retrogame-720p/
                  cp ./layouts/retrogame-720pb/lynx.lay /home/zerogame/.wahcade/layouts/retrogame-720pb/
				  cd ~
				  lynxinstall="1"
				  sed "/^lynxinstall/d" /home/zerogame/.zerogame/zerogamerc > /home/zerogame/.zerogame/zerogamerc.tmp
                  echo "lynxinstall=1" >> /home/zerogame/.zerogame/zerogamerc.tmp
                  mv /home/zerogame/.zerogame/zerogamerc.tmp /home/zerogame/.zerogame/zerogamerc
				else
				  echo "Atari Lynx support is already installed on this PS3."
				fi
				break;
			[3] )
			    if [ ! $wsinstall ] || [ $wsinstall -eq "0" ]; then
				  cd /home/zerogame/.zerogame/
				  cp -R ./configs/mednafen/ /home/zerogame/.mednafen/
                  chown -R zerogame:zerogame /home/zerogame/.mednafen/
                  cp ./configs/wahcade/ini/ws.ini /home/zerogame/.wahcade/ini/ws.ini
                  cp ./configs/wahcade/ini/ws-0.ini /home/zerogame/.wahcade/ini/ws-0.ini
                  cp ./backgrounds/zerogame-1080p/zerogame1080pws.png /home/zerogame/.wahcade/layouts/zerogame-1080p/
                  cp ./backgrounds/zerogame-1080pb/zerogame1080pbws.png /home/zerogame/.wahcade/layouts/zerogame-1080pb/
                  cp ./backgrounds/zerogame-720p/zerogame720pws.png /home/zerogame/.wahcade/layouts/zerogame-720p/
                  cp ./backgrounds/zerogame-720pb/zerogame720pbws.png /home/zerogame/.wahcade/layouts/zerogame-720pb/
                  cp ./backgrounds/retrogame-1080p/retrogame1080pws.png /home/zerogame/.wahcade/layouts/retrogame-1080p/
                  cp ./backgrounds/retrogame-1080pb/retrogame1080pbws.png /home/zerogame/.wahcade/layouts/retrogame-1080pb/
                  cp ./backgrounds/retrogame-720p/retrogame720pws.png /home/zerogame/.wahcade/layouts/retrogame-720p/
                  cp ./backgrounds/retrogame-720pb/retrogame720pbws.png /home/zerogame/.wahcade/layouts/retrogame-720pb/
                  cp ./layouts/zerogame-1080p/ws.lay /home/zerogame/.wahcade/layouts/zerogame-1080p/
                  cp ./layouts/zerogame-1080pb/ws.lay /home/zerogame/.wahcade/layouts/zerogame-1080pb/
                  cp ./layouts/zerogame-720p/ws.lay /home/zerogame/.wahcade/layouts/zerogame-720p/
                  cp ./layouts/zerogame-720pb/ws.lay /home/zerogame/.wahcade/layouts/zerogame-720pb/
                  cp ./layouts/retrogame-1080p/ws.lay /home/zerogame/.wahcade/layouts/retrogame-1080p/
                  cp ./layouts/retrogame-1080pb/ws.lay /home/zerogame/.wahcade/layouts/retrogame-1080p/
                  cp ./layouts/retrogame-720p/ws.lay /home/zerogame/.wahcade/layouts/retrogame-720p/
                  cp ./layouts/retrogame-720pb/ws.lay /home/zerogame/.wahcade/layouts/retrogame-720pb/
				  cd ~
				  wsinstall="1"
				  sed "/^wsinstall/d" /home/zerogame/.zerogame/zerogamerc > /home/zerogame/.zerogame/zerogamerc.tmp
                  echo "wsinstall=1" >> /home/zerogame/.zerogame/zerogamerc.tmp
                  mv /home/zerogame/.zerogame/zerogamerc.tmp /home/zerogame/.zerogame/zerogamerc
				else
				  echo "Bandai Wonderswan support is already installed on this PS3."
				fi
				break;
		    [4] )
			    if [ ! $wscinstall ] || [ $wscinstall -eq "0" ]; then
				  cd /home/zerogame/.zerogame/
				  cp -R ./configs/mednafen/ /home/zerogame/.mednafen/
                  chown -R zerogame:zerogame /home/zerogame/.mednafen/
                  cp ./configs/wahcade/ini/wsc.ini /home/zerogame/.wahcade/ini/wsc.ini
                  cp ./configs/wahcade/ini/wsc-0.ini /home/zerogame/.wahcade/ini/wsc-0.ini
                  cp ./backgrounds/zerogame-1080p/zerogame1080pwsc.png /home/zerogame/.wahcade/layouts/zerogame-1080p/
                  cp ./backgrounds/zerogame-1080pb/zerogame1080pbwsc.png /home/zerogame/.wahcade/layouts/zerogame-1080pb/
                  cp ./backgrounds/zerogame-720p/zerogame720pwsc.png /home/zerogame/.wahcade/layouts/zerogame-720p/
                  cp ./backgrounds/zerogame-720pb/zerogame720pbwsc.png /home/zerogame/.wahcade/layouts/zerogame-720pb/
                  cp ./backgrounds/retrogame-1080p/retrogame1080pwsc.png /home/zerogame/.wahcade/layouts/retrogame-1080p/
                  cp ./backgrounds/retrogame-1080pb/retrogame1080pbwsc.png /home/zerogame/.wahcade/layouts/retrogame-1080pb/
                  cp ./backgrounds/retrogame-720p/retrogame720pwsc.png /home/zerogame/.wahcade/layouts/retrogame-720p/
                  cp ./backgrounds/retrogame-720pb/retrogame720pbwsc.png /home/zerogame/.wahcade/layouts/retrogame-720pb/
                  cp ./layouts/zerogame-1080p/wsc.lay /home/zerogame/.wahcade/layouts/zerogame-1080p/
                  cp ./layouts/zerogame-1080pb/wsc.lay /home/zerogame/.wahcade/layouts/zerogame-1080pb/
                  cp ./layouts/zerogame-720p/wsc.lay /home/zerogame/.wahcade/layouts/zerogame-720p/
                  cp ./layouts/zerogame-720pb/wsc.lay /home/zerogame/.wahcade/layouts/zerogame-720pb/
                  cp ./layouts/retrogame-1080p/wsc.lay /home/zerogame/.wahcade/layouts/retrogame-1080p/
                  cp ./layouts/retrogame-1080pb/wsc.lay /home/zerogame/.wahcade/layouts/retrogame-1080p/
                  cp ./layouts/retrogame-720p/wsc.lay /home/zerogame/.wahcade/layouts/retrogame-720p/
                  cp ./layouts/retrogame-720pb/wsc.lay /home/zerogame/.wahcade/layouts/retrogame-720pb/
				  cd ~
				  wscinstall="1"
				  sed "/^wscinstall/d" /home/zerogame/.zerogame/zerogamerc > /home/zerogame/.zerogame/zerogamerc.tmp
                  echo "wscinstall=1" >> /home/zerogame/.zerogame/zerogamerc.tmp
                  mv /home/zerogame/.zerogame/zerogamerc.tmp /home/zerogame/.zerogame/zerogamerc
				else
				  echo "Bandai Wonderswan Color support is already installed on this PS3."
				fi
				break;
		    [5] )
			    if [ ! $tg16install ] || [ $tg16install -eq "0" ]; then
				  cd /home/zerogame/.zerogame/
				  cp -R ./configs/mednafen/ /home/zerogame/.mednafen/
                  chown -R zerogame:zerogame /home/zerogame/.mednafen/
				  cp ./configs/wahcade/ini/tg16.ini /home/zerogame/.wahcade/ini/tg16.ini
				  cp ./configs/wahcade/ini/tg16-0.ini /home/zerogame/.wahcade/ini/tg16-0.ini
				  cp ./backgrounds/zerogame-1080p/zerogame1080ptg16.png /home/zerogame/.wahcade/layouts/zerogame-1080p/
				  cp ./backgrounds/zerogame-1080pb/zerogame1080pbtg16.png /home/zerogame/.wahcade/layouts/zerogame-1080pb/
				  cp ./backgrounds/zerogame-720p/zerogame720ptg16.png /home/zerogame/.wahcade/layouts/zerogame-720p/
				  cp ./backgrounds/zerogame-720pb/zerogame720pbtg16.png /home/zerogame/.wahcade/layouts/zerogame-720pb/
				  cp ./backgrounds/retrogame-1080p/retrogame1080ptg16.png /home/zerogame/.wahcade/layouts/retrogame-1080p/
				  cp ./backgrounds/retrogame-1080pb/retrogame1080pbtg16.png /home/zerogame/.wahcade/layouts/retrogame-1080pb/
				  cp ./backgrounds/retrogame-720p/retrogame720ptg16.png /home/zerogame/.wahcade/layouts/retrogame-720p/
				  cp ./backgrounds/retrogame-720pb/retrogame720pbtg16.png /home/zerogame/.wahcade/layouts/retrogame-720pb/
				  cp ./layouts/zerogame-1080p/tg16.lay /home/zerogame/.wahcade/layouts/zerogame-1080p/
				  cp ./layouts/zerogame-1080pb/tg16.lay /home/zerogame/.wahcade/layouts/zerogame-1080pb/
				  cp ./layouts/zerogame-720p/tg16.lay /home/zerogame/.wahcade/layouts/zerogame-720p/
				  cp ./layouts/zerogame-720pb/tg16.lay /home/zerogame/.wahcade/layouts/zerogame-720pb/
				  cp ./layouts/retrogame-1080p/tg16.lay /home/zerogame/.wahcade/layouts/retrogame-1080p/
				  cp ./layouts/retrogame-1080pb/tg16.lay /home/zerogame/.wahcade/layouts/retrogame-1080p/
				  cp ./layouts/retrogame-720p/tg16.lay /home/zerogame/.wahcade/layouts/retrogame-720p/
				  cp ./layouts/retrogame-720pb/tg16.lay /home/zerogame/.wahcade/layouts/retrogame-720pb/
				  cd ~
				  tg16install="1"
				  sed "/^tg16install/d" /home/zerogame/.zerogame/zerogamerc > /home/zerogame/.zerogame/zerogamerc.tmp
                  echo "tg16install=1" >> /home/zerogame/.zerogame/zerogamerc.tmp
                  mv /home/zerogame/.zerogame/zerogamerc.tmp /home/zerogame/.zerogame/zerogamerc
				else
				  echo "NEC TurboGrafx-16 support is already installed on this PS3."
				fi
				break;
			[6] )
			    if [ ! $ngpinstall ] || [ $ngpinstall -eq "0" ]; then
				  cd /home/zerogame/.zerogame/
				  cp -R ./configs/mednafen/ /home/zerogame/.mednafen/
                  chown -R zerogame:zerogame /home/zerogame/.mednafen/
				  cp ./configs/wahcade/ini/ngp.ini /home/zerogame/.wahcade/ini/ngp.ini
				  cp ./configs/wahcade/ini/ngp-0.ini /home/zerogame/.wahcade/ini/ngp-0.ini
				  cp ./backgrounds/zerogame-1080p/zerogame1080pngp.png /home/zerogame/.wahcade/layouts/zerogame-1080p/
				  cp ./backgrounds/zerogame-1080pb/zerogame1080pbngp.png /home/zerogame/.wahcade/layouts/zerogame-1080pb/
				  cp ./backgrounds/zerogame-720p/zerogame720pngp.png /home/zerogame/.wahcade/layouts/zerogame-720p/
				  cp ./backgrounds/zerogame-720pb/zerogame720pbngp.png /home/zerogame/.wahcade/layouts/zerogame-720pb/
				  cp ./backgrounds/retrogame-1080p/retrogame1080pngp.png /home/zerogame/.wahcade/layouts/retrogame-1080p/
				  cp ./backgrounds/retrogame-1080pb/retrogame1080pbngp.png /home/zerogame/.wahcade/layouts/retrogame-1080pb/
				  cp ./backgrounds/retrogame-720p/retrogame720pngp.png /home/zerogame/.wahcade/layouts/retrogame-720p/
				  cp ./backgrounds/retrogame-720pb/retrogame720pbngp.png /home/zerogame/.wahcade/layouts/retrogame-720pb/
				  cp ./layouts/zerogame-1080p/ngp.lay /home/zerogame/.wahcade/layouts/zerogame-1080p/
				  cp ./layouts/zerogame-1080pb/ngp.lay /home/zerogame/.wahcade/layouts/zerogame-1080pb/
				  cp ./layouts/zerogame-720p/ngp.lay /home/zerogame/.wahcade/layouts/zerogame-720p/
				  cp ./layouts/zerogame-720pb/ngp.lay /home/zerogame/.wahcade/layouts/zerogame-720pb/
				  cp ./layouts/retrogame-1080p/ngp.lay /home/zerogame/.wahcade/layouts/retrogame-1080p/
				  cp ./layouts/retrogame-1080pb/ngp.lay /home/zerogame/.wahcade/layouts/retrogame-1080p/
				  cp ./layouts/retrogame-720p/ngp.lay /home/zerogame/.wahcade/layouts/retrogame-720p/
				  cp ./layouts/retrogame-720pb/ngp.lay /home/zerogame/.wahcade/layouts/retrogame-720pb/
				  cd ~
				  ngpinstall="1"
				  sed "/^ngpinstall/d" /home/zerogame/.zerogame/zerogamerc > /home/zerogame/.zerogame/zerogamerc.tmp
                  echo "ngpinstall=1" >> /home/zerogame/.zerogame/zerogamerc.tmp
                  mv /home/zerogame/.zerogame/zerogamerc.tmp /home/zerogame/.zerogame/zerogamerc
				else
				  echo "Neo*Geo Pocket support is already installed on this PS3."
				fi
				break;
			[7] )
			    if [ ! $ngpcinstall ] || [ $ngpcinstall -eq "0" ]; then
				  cd /home/zerogame/.zerogame/
				  cp -R ./configs/mednafen/ /home/zerogame/.mednafen/
                  chown -R zerogame:zerogame /home/zerogame/.mednafen/
				  cp ./configs/wahcade/ini/ngpc.ini /home/zerogame/.wahcade/ini/ngpc.ini
				  cp ./configs/wahcade/ini/ngpc-0.ini /home/zerogame/.wahcade/ini/ngpc-0.ini
				  cp ./backgrounds/zerogame-1080p/zerogame1080pngpc.png /home/zerogame/.wahcade/layouts/zerogame-1080p/
				  cp ./backgrounds/zerogame-1080pb/zerogame1080pbngpc.png /home/zerogame/.wahcade/layouts/zerogame-1080pb/
				  cp ./backgrounds/zerogame-720p/zerogame720pngpc.png /home/zerogame/.wahcade/layouts/zerogame-720p/
				  cp ./backgrounds/zerogame-720pb/zerogame720pbngpc.png /home/zerogame/.wahcade/layouts/zerogame-720pb/
				  cp ./backgrounds/retrogame-1080p/retrogame1080pngpc.png /home/zerogame/.wahcade/layouts/retrogame-1080p/
				  cp ./backgrounds/retrogame-1080pb/retrogame1080pbngpc.png /home/zerogame/.wahcade/layouts/retrogame-1080pb/
				  cp ./backgrounds/retrogame-720p/retrogame720pngpc.png /home/zerogame/.wahcade/layouts/retrogame-720p/
				  cp ./backgrounds/retrogame-720pb/retrogame720pbngpc.png /home/zerogame/.wahcade/layouts/retrogame-720pb/
				  cp ./layouts/zerogame-1080p/ngpc.lay /home/zerogame/.wahcade/layouts/zerogame-1080p/
				  cp ./layouts/zerogame-1080pb/ngpc.lay /home/zerogame/.wahcade/layouts/zerogame-1080pb/
				  cp ./layouts/zerogame-720p/ngpc.lay /home/zerogame/.wahcade/layouts/zerogame-720p/
				  cp ./layouts/zerogame-720pb/ngpc.lay /home/zerogame/.wahcade/layouts/zerogame-720pb/
				  cp ./layouts/retrogame-1080p/ngpc.lay /home/zerogame/.wahcade/layouts/retrogame-1080p/
				  cp ./layouts/retrogame-1080pb/ngpc.lay /home/zerogame/.wahcade/layouts/retrogame-1080p/
				  cp ./layouts/retrogame-720p/ngpc.lay /home/zerogame/.wahcade/layouts/retrogame-720p/
				  cp ./layouts/retrogame-720pb/ngpc.lay /home/zerogame/.wahcade/layouts/retrogame-720pb/
				  cd ~
				  ngpcinstall="1"
				  sed "/^ngpcinstall/d" /home/zerogame/.zerogame/zerogamerc > /home/zerogame/.zerogame/zerogamerc.tmp
                  echo "ngpcinstall=1" >> /home/zerogame/.zerogame/zerogamerc.tmp
                  mv /home/zerogame/.zerogame/zerogamerc.tmp /home/zerogame/.zerogame/zerogamerc
				else
				  echo "Neo*Geo Pocket Color support is already installed on this PS3."
				fi
				break;
			[8] )
			    if [ ! $nesinstall ] || [ $nesinstall -eq "0" ]; then
				  cd /home/zerogame/.zerogame/
				  cp -R ./configs/mednafen/ /home/zerogame/.mednafen/
                  chown -R zerogame:zerogame /home/zerogame/.mednafen/
				  cp ./configs/wahcade/ini/nes.ini /home/zerogame/.wahcade/ini/nes.ini
				  cp ./configs/wahcade/ini/nes-0.ini /home/zerogame/.wahcade/ini/nes-0.ini
				  cp ./backgrounds/zerogame-1080p/zerogame1080pnes.png /home/zerogame/.wahcade/layouts/zerogame-1080p/
				  cp ./backgrounds/zerogame-1080pb/zerogame1080pbnes.png /home/zerogame/.wahcade/layouts/zerogame-1080pb/
				  cp ./backgrounds/zerogame-720p/zerogame720pnes.png /home/zerogame/.wahcade/layouts/zerogame-720p/
				  cp ./backgrounds/zerogame-720pb/zerogame720pbnes.png /home/zerogame/.wahcade/layouts/zerogame-720pb/
				  cp ./backgrounds/retrogame-1080p/retrogame1080pnes.png /home/zerogame/.wahcade/layouts/retrogame-1080p/
				  cp ./backgrounds/retrogame-1080pb/retrogame1080pnes.png /home/zerogame/.wahcade/layouts/retrogame-1080pb/
				  cp ./backgrounds/retrogame-720p/retrogame720pnes.png /home/zerogame/.wahcade/layouts/retrogame-720p/
				  cp ./backgrounds/retrogame-720pb/retrogame720pbnes.png /home/zerogame/.wahcade/layouts/retrogame-720pb/
				  cp ./layouts/zerogame-1080p/nes.lay /home/zerogame/.wahcade/layouts/zerogame-1080p/
				  cp ./layouts/zerogame-1080pb/nes.lay /home/zerogame/.wahcade/layouts/zerogame-1080pb/
				  cp ./layouts/zerogame-720p/nes.lay /home/zerogame/.wahcade/layouts/zerogame-720p/
				  cp ./layouts/zerogame-720pb/nes.lay /home/zerogame/.wahcade/layouts/zerogame-720pb/
				  cp ./layouts/retrogame-1080p/nes.lay /home/zerogame/.wahcade/layouts/retrogame-1080p/
				  cp ./layouts/retrogame-1080pb/nes.lay /home/zerogame/.wahcade/layouts/retrogame-1080p/
				  cp ./layouts/retrogame-720p/nes.lay /home/zerogame/.wahcade/layouts/retrogame-720p/
				  cp ./layouts/retrogame-720pb/nes.lay /home/zerogame/.wahcade/layouts/retrogame-720pb/
				  cd ~
				  nesinstall="1"
				  sed "/^nesinstall/d" /home/zerogame/.zerogame/zerogamerc > /home/zerogame/.zerogame/zerogamerc.tmp
                  echo "nesinstall=1" >> /home/zerogame/.zerogame/zerogamerc.tmp
                  mv /home/zerogame/.zerogame/zerogamerc.tmp /home/zerogame/.zerogame/zerogamerc
				else
				  echo "Nintendo Entertainment System support is already installed on this PS3."
				fi
				break;
			[9] )
			    if [ ! $snesinstall ] || [ $snesinstall -eq "0" ]; then
				  cd /home/zerogame/.zerogame/
				  cp -R ./configs/mednafen/ /home/zerogame/.mednafen/
                  chown -R zerogame:zerogame /home/zerogame/.mednafen/
				  cp ./configs/wahcade/ini/snes.ini /home/zerogame/.wahcade/ini/snes.ini
				  cp ./configs/wahcade/ini/snes-0.ini /home/zerogame/.wahcade/ini/snes-0.ini
				  cp ./backgrounds/zerogame-1080p/zerogame1080psnes.png /home/zerogame/.wahcade/layouts/zerogame-1080p/
				  cp ./backgrounds/zerogame-1080pb/zerogame1080pbsnes.png /home/zerogame/.wahcade/layouts/zerogame-1080pb/
				  cp ./backgrounds/zerogame-720p/zerogame720psnes.png /home/zerogame/.wahcade/layouts/zerogame-720p/
				  cp ./backgrounds/zerogame-720pb/zerogame720pbsnes.png /home/zerogame/.wahcade/layouts/zerogame-720pb/
				  cp ./backgrounds/retrogame-1080p/retrogame1080psnes.png /home/zerogame/.wahcade/layouts/retrogame-1080p/
				  cp ./backgrounds/retrogame-1080pb/retrogame1080pbsnes.png /home/zerogame/.wahcade/layouts/retrogame-1080pb/
				  cp ./backgrounds/retrogame-720p/retrogame720psnes.png /home/zerogame/.wahcade/layouts/retrogame-720p/
				  cp ./backgrounds/retrogame-720pb/retrogame720pbsnes.png /home/zerogame/.wahcade/layouts/retrogame-720pb/
				  cp ./layouts/zerogame-1080p/snes.lay /home/zerogame/.wahcade/layouts/zerogame-1080p/
				  cp ./layouts/zerogame-1080pb/snes.lay /home/zerogame/.wahcade/layouts/zerogame-1080pb/
				  cp ./layouts/zerogame-720p/snes.lay /home/zerogame/.wahcade/layouts/zerogame-720p/
				  cp ./layouts/zerogame-720pb/snes.lay /home/zerogame/.wahcade/layouts/zerogame-720pb/
				  cp ./layouts/retrogame-1080p/snes.lay /home/zerogame/.wahcade/layouts/retrogame-1080p/
				  cp ./layouts/retrogame-1080pb/snes.lay /home/zerogame/.wahcade/layouts/retrogame-1080p/
				  cp ./layouts/retrogame-720p/snes.lay /home/zerogame/.wahcade/layouts/retrogame-720p/
				  cp ./layouts/retrogame-720pb/snes.lay /home/zerogame/.wahcade/layouts/retrogame-720pb/
				  cd ~
				  snesinstall="1"
				  sed "/^snesinstall/d" /home/zerogame/.zerogame/zerogamerc > /home/zerogame/.zerogame/zerogamerc.tmp
                  echo "snesinstall=1" >> /home/zerogame/.zerogame/zerogamerc.tmp
                  mv /home/zerogame/.zerogame/zerogamerc.tmp /home/zerogame/.zerogame/zerogamerc
				else
				  echo "Nintendo Super NES support is already installed on this PS3."
				fi
				break;