#!/bin/bash

# switchc64scaling.sh
# Part of the Zerogame Project emulation suite for PS3 Linux
# By Jason Carter (jay@zerojay.com)

# Let's users select whether to use the full overscan area  
# (384x272) or standard display area (320x200) to base 
# scaler behavior on.

echo -e "\n"
echo "The standard display area of a Commodore 64 display "
echo "is 320x200. However, there are some games/demos that "
echo "use programming tricks to display graphics in the "
echo "'overscan' border area (out to 384x272). Due to "
echo "this, the default Zerogame install scales to fit the "
echo "full overscan area. This script allows you to switch "
echo "between Overscan or Standard to base the scaling on "
echo "(Standard will reduce the top/bottom overscan border "
echo "as best the scaler can depending on your resolution)."
echo -e "\n"
while true; do
  read -n1 -p "Do you want Overscan or Standard? [O/S] " switchc64res
    echo -e '\n'
    case $switchc64res in
	[Oo]* )
	  if [ -f /home/zerogame/.vice/no_overscan ]; then
	    mv /home/zerogame/.vice/no_overscan /home/zerogame/.vice/overscan
	  fi
	  if [ ! -f /home/zerogame/.vice/overscan ]; then
	    touch /home/zerogame/.vice/overscan
	  fi
	  sleep 1
	  echo "The C64 scaling is set to Overscan."
	  echo -e "\n"
	  read -p "Press Enter to exit."
          break;;
	[Ss]* )
	  if [ -f /home/zerogame/.vice/overscan ]; then
	    mv /home/zerogame/.vice/overscan /home/zerogame/.vice/no_overscan
	  fi
	  if [ ! -f /home/zerogame/.vice/no_overscan ]; then
	    touch /home/zerogame/.vice/no_overscan
	  fi
	  sleep 1
	  echo "The C64 scaling is set to Standard."
	  echo -e "\n"
	  read -p "Press Enter to exit."
          break;;
	* ) echo -e "\nPlease answer [O] or [S].";;
    esac
done
